RoutesTaxes module

Taxes routes

URLs the Taxes module answers, their parameters and the variables each view receives.

View cdna-admin screens of this module.

Admin view

GET /cdna-admin/taxes/add-provider/{type} addProvider

Add a new record. Assigns an empty record to the template.

Path parameters type matches [a-zA-Z]+

Common variables such as $_url, $_request and $_menu are available too. Global template variables

GET /cdna-admin/taxes/provider/{id} editProvider

Retrieve a single record and display the edit page for the record

Path parameters id matches \d+

Common variables such as $_url, $_request and $_menu are available too. Global template variables

GET /cdna-admin/taxes/providers manageProviders

Retrieve available records and assign them to the template for editing.

Common variables such as $_url, $_request and $_menu are available too. Global template variables

GET /cdna-admin/taxes/add-category addCategory

Add a new record. Assigns an empty record to the template.

The admin template receives
VariableTypeDescription
$category Category Single (empty) Category record

Common variables such as $_url, $_request and $_menu are available too. Global template variables

GET /cdna-admin/taxes/category/{id} editCategory

Retrieve a single record and display the edit page for the record

Path parameters id matches \d+

The admin template receives
VariableTypeDescription
$category Category Retrieved Category record

Common variables such as $_url, $_request and $_menu are available too. Global template variables

GET /cdna-admin/taxes/categories manageCategories

Retrieve available records and assign them to the template for editing.

The admin template receives
VariableTypeDescription
$categories Collection<Category> Collection of Categories

Common variables such as $_url, $_request and $_menu are available too. Global template variables

GET /cdna-admin/taxes/add-zone addZone

Add a new record. Assigns an empty record to the template.

The admin template receives
VariableTypeDescription
$zone Zone Single (empty) Zone record

Common variables such as $_url, $_request and $_menu are available too. Global template variables

GET /cdna-admin/taxes/zone/{id} editZone

Retrieve a single record and display the edit page for the record

Path parameters id matches \d+

The admin template receives
VariableTypeDescription
$zone Zone Retrieved Zone record

Common variables such as $_url, $_request and $_menu are available too. Global template variables

GET /cdna-admin/taxes/zones manageZones

Retrieve available records and assign them to the template for editing.

The admin template receives
VariableTypeDescription
$zones Collection<Zone> Collection of Zones

Common variables such as $_url, $_request and $_menu are available too. Global template variables

Only GET routes list their variables.